/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/enumeration/CliEnumTranformerFactory.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli.enumeration;

import com.netapp.common.MsgKey;
import com.netapp.common.logging.MessageBundle;

public class CliEnumTranformerFactory {
    
    private CliEnumTranformerFactory() {
        
    }
    
    public static CliEnumTransformer createCliEnumTransformer(Class<? extends CliEnumTransformer> enumTransformerClass) {
        if (!CliEnumTransformer.class.isAssignableFrom(enumTransformerClass)) {
            throw new RuntimeException(MessageBundle.localizeMessage(
                MsgKey.CLI_BASE_INVALID_ENUM_TRANSFORMER_CLASS, enumTransformerClass.toString()));
        }
        
        try {
            return (CliEnumTransformer) enumTransformerClass.newInstance();
        }
        catch (InstantiationException e) {
            throw new RuntimeException(MessageBundle.localizeMessage(
                MsgKey.CLI_BASE_INVALID_ENUM_TRANSFORMER_INSTANTIATE, enumTransformerClass.toString()), e);
        }
        catch (IllegalAccessException e) {
            throw new RuntimeException(MessageBundle.localizeMessage(
                MsgKey.CLI_BASE_INVALID_ENUM_TRANSFORMER_INSTANTIATE, enumTransformerClass.toString()), e);
        }
        
    }

}
