/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/cli/invocation/AbstractCliInvocable.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.cli.invocation;

import com.netapp.common.MsgKey;
import com.netapp.common.cli.CliCommand;
import com.netapp.common.cli.CliParser;
import com.netapp.common.cli.Command;
import com.netapp.common.logging.MessageBundle;

public abstract class AbstractCliInvocable implements CliInvocable {
    
    protected abstract String getExecutableName();
    
    @CliCommand(command = "help")
    public final void help() {
        CliParser cliParser = new CliParser(this.getClass());
        String usage = cliParser.getUsage(this.getExecutableName());

        System.out.println(MessageBundle.localizeMessage(MsgKey.CLI_INVOCATION_GENERIC_USAGE_HEADER, this.getExecutableName()));

        System.out.println(usage);
    }

    public final String help(Command command) {
        CliParser cliParser = new CliParser(this.getClass());
        
        String usage = cliParser.getUsage(this.getExecutableName(), command);
        
        if (cliParser.isCommandValid(command)) {
            System.out.println(MessageBundle.localizeMessage(MsgKey.CLI_INVOCATION_USAGE_HEADER, this.getExecutableName(), command.getName()));
        }
        System.out.println(usage);
        return usage;
    }
}
