/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/credentials/CredentialConstants.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.credentials;

import com.netapp.common.util.ConfigProperty;

public interface CredentialConstants {

    /**
     * Prefix used in the configuration file(s) to enable credential validators. Each entry
     * contains a trailing integer that starts at one (1) and increases sequentially.
     */
    String CONFIG_KEY_PREFIX_VALIDATORS = "credential.validator.";
    
    /**
     * The encryption algorithm to use when storing/retrieving the password from the persistent store.
     * 
     * Defaults to AES.
     */
    ConfigProperty<String> ENCRYPTON_ALGORITHM = ConfigProperty.stringProperty("credential.symmetric.algorithm", "AES");
    
    /**
     * Secret password to use when encrypt/decrypting password information internally.
     */
    ConfigProperty<String> ENCRYPTION_PASSWORD = ConfigProperty.stringProperty("credential.symmetric.password");
    
    /**
     * Points to the file location for file based credential persistence.
     */
    ConfigProperty<String> PERSISTENCE_FILE_PATH = ConfigProperty.stringProperty("credential.persistence.file.path");  
    
    /**
     * Can be overridden to perform case insensitive matches on the credential. This is expectially useful on Windows
     * where the users are typically use to this type of behavior even for their usernames.
     */
    ConfigProperty<Boolean> CASE_INSENSITVIE = ConfigProperty.booleanProperty("credential.case.insensitive", false);
}
