/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/encryption/GenerateSymmetricKey.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.encryption;

import java.security.NoSuchAlgorithmException;

import javax.crypto.KeyGenerator;
import javax.crypto.SecretKey;

import org.apache.commons.codec.DecoderException;
import org.apache.commons.codec.binary.Hex;

/**
 * Utility class than can be used to generate a new, random symmetric key.
 * 
 * @author joshb
 *
 */
public class GenerateSymmetricKey {
    
    protected GenerateSymmetricKey() {
    }

    /**
     * @param args
     */
    public static void main(String[] args) {
        if (1 != args.length) {
            System.out.println("GenerateSymmetricKey <algorithm>");
            System.out.println("");
            System.out.println("Valid algorithms: DES, DESede, AES and BLOWFISH");
            System.exit(-1);
        }
        
        try {
            KeyGenerator keygen = KeyGenerator.getInstance(args[0]);
            SecretKey key = keygen.generateKey();
            
            String hex = String.valueOf(Hex.encodeHex(key.getEncoded()));
            
            assert Hex.decodeHex(hex.toCharArray()) == key.getEncoded();
            
            System.out.println(hex);
        }
        catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            System.exit(-1);
        }
        catch (DecoderException e) {
            e.printStackTrace();
            System.exit(-1);
        }
    }

}
