/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/execution/ProcessListener.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.execution;


/**
 * Listens to Process output on stdout and stderr.
 * 
 * If used with {@link ShellResult}, concrete implementations
 * can be used to participate in a dialog with a process.
 * 
 * Implementations should be aware that the handle methods 
 * can be invoked from different threads, so any internal
 * state shared between the two needs to be synchronized.
 * 
 * @author philipc
 */
public interface ProcessListener {
    
    void handleStdErr(ProcessContext processContext, String line);
    
    void handleStdOut(ProcessContext processContext, String line);

}
