/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/StackFrameTemplate.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */

package com.netapp.common.flow;
/**
 * Represents the template of a {@link StackFrame}. This contains a
 * description of all register variables visible at this point in execution,
 * but not their actual values.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
interface StackFrameTemplate {

    /**
     * Get the register template of the current name.
     * Non-root stack frames must pass this call along to their
     * enclosing frame if name is not found in the current context.
     * @param name
     * @return Register Template for the specified variable
     */
    RegisterTemplate getRegisterInstanceTemplate(String name);

}