/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/soap/WorkflowParam.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow.soap;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Mark a parameter in an abstract method used by {@link WorkflowBindingFactory}
 * with the input name for the generated workflow.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.PARAMETER})
@Documented
public @interface WorkflowParam {
    /**
     * The name of the input field for this parameter
     */
    String value();
}
