/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/linux/DirectDeviceAnalyzer.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.linux;

import java.io.File;

import com.netapp.common.platform.OperatingSystem;
import com.netapp.common.platform.RawDeviceMapping;

/**
 * Device Mapper for Linux using O_DIRECT mappings.
 * 
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class DirectDeviceAnalyzer extends LinuxDeviceAnalyzer {

    public DirectDeviceAnalyzer(OperatingSystem operatingSystem) {
        super(operatingSystem);
    }
    
    /**
     * @see com.netapp.common.platform.DeviceAnalyzer#lookupMappingByDisk(java.io.File)
     */
    public RawDeviceMapping lookupMappingByDisk(File disk) {
        return new RawDeviceMapping(disk, disk);
    }

    /**
     * @see com.netapp.common.platform.DeviceAnalyzer#lookupMappingByRawDevice(java.io.File)
     */
    public RawDeviceMapping lookupMappingByRawDevice(File rawDevice) {
        return new RawDeviceMapping(rawDevice, rawDevice);
    }

}
