/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/linux/smbios/ByteOrderConverter.java#1 $
 * 
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.linux.smbios;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

final class ByteOrderConverter {
    protected ByteOrderConverter() {
    }
    
    /**
     * Java will read the bytes in the default byte order, which is big endian.
     * We need to translate the value back to the native order of the OS.
     * 
     * @param value
     * @return
     */
    public static int readInNativeOrder(int value) {
        ByteBuffer buffer = ByteBuffer.allocate(4);

        buffer.putInt(value);
        buffer.position(0);
        buffer.order(ByteOrder.nativeOrder());

        return buffer.getInt();
    }

    public static long readInNativeOrder(long value) {
        ByteBuffer buffer = ByteBuffer.allocate(8);

        buffer.putLong(value);
        buffer.position(0);
        buffer.order(ByteOrder.nativeOrder());

        return buffer.getLong();
    }

    public static byte[] readInNativeOrder(byte[] value) {
        ByteBuffer buffer = ByteBuffer.allocate(value.length);

        buffer.put(value);
        buffer.position(0);
        buffer.order(ByteOrder.nativeOrder());

        byte[] temp = new byte[value.length];
        buffer.get(temp);
        return temp;
    }
}
