/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/spring/PrototypeScopeResolver.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.spring;

import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.ScopeMetadata;
import org.springframework.context.annotation.ScopeMetadataResolver;

/**
 * Resolves all beans to "prototype" scope
 * 
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class PrototypeScopeResolver implements ScopeMetadataResolver {

    private static final ScopeMetadata PROTOTYPE_SCOPE = new ScopeMetadata();
    
    static {
        PROTOTYPE_SCOPE.setScopeName("prototype");
    }
    
    public ScopeMetadata resolveScopeMetadata(BeanDefinition beandefinition) {
        return PROTOTYPE_SCOPE;
    }

}
