/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/util/FileProperty.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

import java.io.File;

/**
 * Extended ConfigProperty to automatically force absolute paths
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class FileProperty extends ConfigProperty<File> {
    public FileProperty(String property) {
        super(File.class, property);
    }
    
    public FileProperty(String property, File defaultValue) {
        super(File.class, property, defaultValue);
    }
    
    @Override
    public File lookup(ConfigBundle bundle) {
        File file = super.lookup(bundle);
        if (file != null && !file.isAbsolute()) {
            File base = bundle.getInstallDir();
            if (base != null) {
                file = new File(base, file.getPath());
            }
        }
        return file;
    }
}
