/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/xml/SimpleNamespaceContext.java#1 $
 * 
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.xml;

import java.util.Iterator;

import javax.xml.namespace.NamespaceContext;

import org.apache.commons.collections.BidiMap;
import org.apache.commons.collections.bidimap.DualHashBidiMap;

/**
 * A simple implementation of the {@link NamespaceContext} interface.
 * 
 * Uses a bi-directional HashMap (via apache collections) to bind prefixes to namespace URIs.
 * 
 * @author sirianni
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class SimpleNamespaceContext implements NamespaceContext {

    private BidiMap namespaceMap = new DualHashBidiMap();
    
    public void bind(String prefix, String namespaceURI) {
        this.namespaceMap.put(prefix, namespaceURI);
    }
    
    public SimpleNamespaceContext withBinding(String prefix, String namespaceURI) {
        this.bind(prefix, namespaceURI);
        return this;
    }
    
    public String getNamespaceURI(String prefix) {
        return (String) this.namespaceMap.get(prefix);
    }

    public String getPrefix(String namespaceURI) {
        return (String) this.namespaceMap.getKey(namespaceURI);
    }

    public Iterator<?> getPrefixes(String namespaceURI) {
        /*
         * This method is not called by the vast majority of the clients of the NamespaceContext interface.
         * It is not supported by most other NamespaceContext implementations either.
         */
        throw new UnsupportedOperationException();
    }

}
