/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/ZAPICommand.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi;

import netapp.manage.NaElement;

/**
 * Raw Zephyr api request
 * 
 * @see ZAPIExecutor
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class ZAPICommand {
    protected NaElement zapiRequest;
    protected boolean logErrorAtDebug;
    
    public ZAPICommand(String commandName) {
        this.zapiRequest = new NaElement(commandName);
    }
    
    public String getCommandName() {
        return this.zapiRequest.getName();
    }
    
    public void addParameter(String parameter, String value) {
        this.zapiRequest.addNewChild(parameter, value);
    }
    
    public void addParameter(NaElement element) {
        this.zapiRequest.addChildElem(element);
    }
    
    public NaElement getRequest() {
        return this.zapiRequest;
    }
    
    @Override
    public String toString() {
        return this.zapiRequest.toPrettyString("");
    }
}
